using System;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;

internal sealed class Delegate426 : MulticastDelegate
{
	public extern Task Invoke(ref AsyncTaskMethodBuilder asyncTaskMethodBuilder_0);

	public static Task smethod_0(ref AsyncTaskMethodBuilder asyncTaskMethodBuilder_0, Delegate426 delegate426_1)
	{
		return delegate426_1(ref asyncTaskMethodBuilder_0);
	}

	public extern Delegate426(object object_0, IntPtr intptr_0);

	static Delegate426()
	{
		Class10.smethod_13(typeof(Delegate426).TypeHandle);
	}

	internal static Delegate426 delegate426_0;
}
